package com.infoly.eclipse.xtext.algo.ui.wizards


import org.eclipse.ui.wizards.newresource.BasicNewFileResourceWizard
import org.eclipse.ui.dialogs.WizardNewFileCreationPage

class NewFile extends BasicNewFileResourceWizard {
	
	private val WINDOW_TITLE 		  		= "Algorithmic New File"
	private val PAGE_TITLE 			  		= "Nom du fichier"
	private val PAGE_DESCRIPTION 	  		= "Dfinition du fichier Algorithic.";
	private val DEFAULT_FILE_NAME  			= "algorithm"
	private val DEFAULT_FILE_EXT  	  		= "alg"

	override addPages() {
		super.addPages()
		windowTitle = WINDOW_TITLE								// Dfinit e titre de la fentre						
		val page1 = pages.get(0) as WizardNewFileCreationPage 	// Rcupre 1re page de la classe de base
		page1.title         = PAGE_TITLE						// Dfinit le titre de la page
		page1.description   = PAGE_DESCRIPTION					// Dfinit la description de la page
		page1.fileName      = DEFAULT_FILE_NAME					// Nom du fichier  crer par dfaut
		page1.fileExtension = DEFAULT_FILE_EXT					// Extension du fichier

	}
	
}
