package com.infoly.eclipse.xtext.algo.ui.perspectives;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;
import org.eclipse.ui.console.IConsoleConstants;

@SuppressWarnings("all")
public class AlgorithmicPerspectiveFactory implements IPerspectiveFactory {
  @Override
  public void createInitialLayout(final IPageLayout layout) {
    String editorArea = layout.getEditorArea();
    IFolderLayout left = layout.createFolder("left", IPageLayout.LEFT, ((float) 0.25), editorArea);
    left.addView(IPageLayout.ID_PROJECT_EXPLORER);
    IFolderLayout right = layout.createFolder("right", IPageLayout.RIGHT, ((float) 0.75), editorArea);
    right.addView(IPageLayout.ID_OUTLINE);
    IFolderLayout bottom = layout.createFolder("bottom", IPageLayout.BOTTOM, ((float) 0.75), editorArea);
    bottom.addView(IPageLayout.ID_PROBLEM_VIEW);
    bottom.addView(IConsoleConstants.ID_CONSOLE_VIEW);
  }
}
