package com.infoly.eclipse.xtext.algo.ui.wizards;

import org.eclipse.jface.wizard.IWizardPage;
import org.eclipse.ui.dialogs.WizardNewFileCreationPage;
import org.eclipse.ui.wizards.newresource.BasicNewFileResourceWizard;

@SuppressWarnings("all")
public class NewFile extends BasicNewFileResourceWizard {
  private final String WINDOW_TITLE = "Algorithmic New File";
  
  private final String PAGE_TITLE = "Nom du fichier";
  
  private final String PAGE_DESCRIPTION = "Dfinition du fichier Algorithic.";
  
  private final String DEFAULT_FILE_NAME = "algorithm";
  
  private final String DEFAULT_FILE_EXT = "alg";
  
  @Override
  public void addPages() {
    super.addPages();
    this.setWindowTitle(this.WINDOW_TITLE);
    IWizardPage[] _pages = this.getPages();
    IWizardPage _get = _pages[0];
    final WizardNewFileCreationPage page1 = ((WizardNewFileCreationPage) _get);
    page1.setTitle(this.PAGE_TITLE);
    page1.setDescription(this.PAGE_DESCRIPTION);
    page1.setFileName(this.DEFAULT_FILE_NAME);
    page1.setFileExtension(this.DEFAULT_FILE_EXT);
  }
}
